# `ngChecked` ( directive in module `ng` )

## Description

The HTML specs do not require browsers to preserve the special attributes such as checked. (The presence of them means true and absence means false) This prevents the angular compiler from correctly retrieving the binding expression. To solve this problem, we introduce the `ngChecked` directive.

## Usage

as attribute

    <INPUT ng-checked="{expression}">
       ...
    </INPUT>

### Parameters

- `ngChecked – {expression} –`

  Angular expression that will be evaluated.

## Example

#### Source

#### Demo